<?php

namespace App\Models\SettingManagement;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class Image extends Model{
    use HasFactory;

    protected $table = "setting_mgt__images";
    protected $guarded = ["id"];

    public function mediable(){
        return $this->morphTo();
    }
}
